#include "chdecl.h"
void CH_dcom(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb4;
    case 4: goto c5;
    case 5: goto cb8;
    case 6: goto c9;
    case 7: goto cb13;
    case 8: goto c14;
    case 9: goto cb17;
    case 10: goto c18;
    case 11: goto cb21;
    case 12: goto c22;
    case 13: goto cb25;
    case 14: goto c26;
    case 15: goto cb29;
    case 16: goto c30;
    case 17: goto cb33;
    case 18: goto c34;
    case 19: goto cb37;
    case 20: goto c38;
    case 21: goto cb41;
    case 22: goto c42;
    case 23: goto cb45;
    case 24: goto c46;
    case 25: goto cb49;
    case 26: goto c50;
    case 27: goto cb53;
    case 28: goto c54;
    case 29: goto cb58;
    case 30: goto c59;
    case 31: goto cb63;
    case 32: goto c64;
    case 33: goto cb71;
    case 34: goto c72;
    case 35: goto cb75;
    case 36: goto c76;
    case 37: goto cb80;
    case 38: goto c81;
    case 39: goto cb89;
    case 40: goto c90;
    case 41: goto c96;
    case 42: goto cb110;
    case 43: goto c111;
    case 44: goto c116;
    case 45: goto c139;
    case 46: goto c160;
    case 47: goto c176;
    case 48: goto c178;
    case 49: goto c187;
    case 50: goto cb190;
    case 51: goto c191;
    case 52: goto cb198;
    case 53: goto c199;
    case 54: goto cb207;
    case 55: goto c208;
    case 56: goto c215;
    case 57: goto cb218;
    case 58: goto c219;
    case 59: goto cb224;
    case 60: goto c225;
    case 61: goto c251;
    case 62: goto c271;
    case 63: goto c275;
    case 64: goto cb276;
    case 65: goto c277;
    case 66: goto cb278;
    case 67: goto c279;
    case 68: goto cb287;
    case 69: goto c288;
    case 70: goto cb292;
    case 71: goto c293;
    case 72: goto cb299;
    case 73: goto c300;
    case 74: goto cb301;
    case 75: goto c302;
    case 76: goto cb318;
    case 77: goto c319;
    case 78: goto cb324;
    case 79: goto c325;
    case 80: goto c327;
    case 81: goto cb330;
    case 82: goto c331;
    case 83: goto cb342;
    case 84: goto c343;
    case 85: goto c344;
    case 86: goto cb345;
    case 87: goto c346;
    case 88: goto c348;
    case 89: goto cb349;
    case 90: goto c350;
    case 91: goto cb357;
    case 93: goto c359;
    case 94: goto c385;
    case 95: goto cb393;
    case 96: goto c394;
    case 97: goto cb397;
    case 98: goto c398;
    case 99: goto c401;
    case 104: goto c413;
    case 100: goto c413;
    case 101: goto cb416;
    case 102: goto c417;
    case 103: goto cb423;
    case 105: goto c425;
    case 92: goto c427;
    case 106: goto c427;
    case 107: goto c461;
    case 108: goto c466;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* chs_lit 4 , "CLoader" */
  if( !chs_lit(DEF(4),"CLoader") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
  current->ip = 3;
cb4:
/* call 3.2.2 4 5 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* unwrap 7 6 , 2 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "stdio" */
  if( !chs_lit(DEF(8),"stdio") ) goto ch_depletion;
/* chs_lit 9 , "" */
  if( !chs_lit(DEF(9),"") ) goto ch_depletion;
  current->ip = 5;
cb8:
/* call 3.2.2 8 9 10 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* unwrap 11 10 , 3 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 12 , 11 */
  if ((ch_val.record = new_record(11)) == nil) goto ch_depletion;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val; REF(12).tsdr = & dr_record;
/* chs_lit 13 , "load" */
  if( !chs_lit(DEF(13),"load") ) goto ch_depletion;
/* chs_lit 14 , "" */
  if( !chs_lit(DEF(14),"") ) goto ch_depletion;
  current->ip = 7;
cb13:
/* call 3.2.2 13 14 15 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(13),
          arguments[2] = DEF(14),
          arguments[3] = DEF(15),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* unwrap 12.0 15 , 4 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(0),DEF(15),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 16 , "pathLoad" */
  if( !chs_lit(DEF(16),"pathLoad") ) goto ch_depletion;
/* chs_lit 17 , "" */
  if( !chs_lit(DEF(17),"") ) goto ch_depletion;
  current->ip = 9;
cb17:
/* call 3.2.2 16 17 18 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(16),
          arguments[2] = DEF(17),
          arguments[3] = DEF(18),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c18:
/* unwrap 12.1 18 , 4 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(1),DEF(18),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 19 , "readObj" */
  if( !chs_lit(DEF(19),"readObj") ) goto ch_depletion;
/* chs_lit 20 , "" */
  if( !chs_lit(DEF(20),"") ) goto ch_depletion;
  current->ip = 11;
cb21:
/* call 3.2.2 19 20 21 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(19),
          arguments[2] = DEF(20),
          arguments[3] = DEF(21),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* unwrap 12.2 21 , 5 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(2),DEF(21),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 22 , "pathReadObj" */
  if( !chs_lit(DEF(22),"pathReadObj") ) goto ch_depletion;
/* chs_lit 23 , "" */
  if( !chs_lit(DEF(23),"") ) goto ch_depletion;
  current->ip = 13;
cb25:
/* call 3.2.2 22 23 24 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(22),
          arguments[2] = DEF(23),
          arguments[3] = DEF(24),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c26:
/* unwrap 12.3 24 , 5 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(3),DEF(24),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 25 , "writeObj" */
  if( !chs_lit(DEF(25),"writeObj") ) goto ch_depletion;
/* chs_lit 26 , "" */
  if( !chs_lit(DEF(26),"") ) goto ch_depletion;
  current->ip = 15;
cb29:
/* call 3.2.2 25 26 27 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(25),
          arguments[2] = DEF(26),
          arguments[3] = DEF(27),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c30:
/* unwrap 12.4 27 , 6 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(4),DEF(27),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 28 , "store" */
  if( !chs_lit(DEF(28),"store") ) goto ch_depletion;
/* chs_lit 29 , "" */
  if( !chs_lit(DEF(29),"") ) goto ch_depletion;
  current->ip = 17;
cb33:
/* call 3.2.2 28 29 30 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(28),
          arguments[2] = DEF(29),
          arguments[3] = DEF(30),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
/* unwrap 12.6 30 , 7 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(6),DEF(30),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 31 , "libWriteObj" */
  if( !chs_lit(DEF(31),"libWriteObj") ) goto ch_depletion;
/* chs_lit 32 , "" */
  if( !chs_lit(DEF(32),"") ) goto ch_depletion;
  current->ip = 19;
cb37:
/* call 3.2.2 31 32 33 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(31),
          arguments[2] = DEF(32),
          arguments[3] = DEF(33),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c38:
/* unwrap 12.5 33 , 6 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(5),DEF(33),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 34 , "libStore" */
  if( !chs_lit(DEF(34),"libStore") ) goto ch_depletion;
/* chs_lit 35 , "" */
  if( !chs_lit(DEF(35),"") ) goto ch_depletion;
  current->ip = 21;
cb41:
/* call 3.2.2 34 35 36 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(34),
          arguments[2] = DEF(35),
          arguments[3] = DEF(36),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c42:
/* unwrap 12.7 36 , 7 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(7),DEF(36),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 37 , "getCwd" */
  if( !chs_lit(DEF(37),"getCwd") ) goto ch_depletion;
/* chs_lit 38 , "" */
  if( !chs_lit(DEF(38),"") ) goto ch_depletion;
  current->ip = 23;
cb45:
/* call 3.2.2 37 38 39 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(37),
          arguments[2] = DEF(38),
          arguments[3] = DEF(39),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c46:
/* unwrap 12.8 39 , 8 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(8),DEF(39),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 40 , "setCwd" */
  if( !chs_lit(DEF(40),"setCwd") ) goto ch_depletion;
/* chs_lit 41 , "" */
  if( !chs_lit(DEF(41),"") ) goto ch_depletion;
  current->ip = 25;
cb49:
/* call 3.2.2 40 41 42 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[3] = DEF(42),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* unwrap 12.9 42 , 9 */
  if ((ch_returncode = che_unwrap(DEF(12)DOT(9),DEF(42),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 12.10 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12)DOT(10).tsdr)->finalize)(REF(12)DOT(10).value,F_DISCARD,sched);
  REF(12)DOT(10).value = ch_val;
  REF(12)DOT(10).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* chs_lit 43 , "abbrev_expand" */
  if( !chs_lit(DEF(43),"abbrev_expand") ) goto ch_depletion;
  current->ip = 27;
cb53:
/* call 12.1 43 44 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(1),
          arguments[1] = DEF(43),
          arguments[2] = DEF(44),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c54:
/* procedure 45 44 , 11 */
  if ((ch_returncode = che_procedure(DEF(45),DEF(44),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* move 46 45 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46) = REF(45);
  REF(45).tsdr = & dr_bottom;
/* chs_lit 47 , "do_shorten" */
  if( !chs_lit(DEF(47),"do_shorten") ) goto ch_depletion;
  current->ip = 29;
cb58:
/* call 12.1 47 48 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(1),
          arguments[1] = DEF(47),
          arguments[2] = DEF(48),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c59:
/* procedure 49 48 , 11 */
  if ((ch_returncode = che_procedure(DEF(49),DEF(48),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* move 50 49 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50) = REF(49);
  REF(49).tsdr = & dr_bottom;
/* chs_lit 51 , "checkdefs" */
  if( !chs_lit(DEF(51),"checkdefs") ) goto ch_depletion;
  current->ip = 31;
cb63:
/* call 12.1 51 52 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(1),
          arguments[1] = DEF(51),
          arguments[2] = DEF(52),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c64:
/* procedure 53 52 , 12 */
  if ((ch_returncode = che_procedure(DEF(53),DEF(52),QUAL(12)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 54 53 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* new_inport 55 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val; REF(55).tsdr = & dr_inport;
/* connect 56 55 */
  if (REF(55).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(55).value.inport->refcount++;
  REF(56).value.outport = REF(55).value.inport;
  REF(56).tsdr = & dr_outport;
/* copy 57 56 */
  if((ch_returncode = cp_outport(& ch_val, REF(56).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = & dr_outport;
/* chs_lit 58 , "getfile" */
  if( !chs_lit(DEF(58),"getfile") ) goto ch_depletion;
  current->ip = 33;
cb71:
/* call 12.1 58 59 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(1),
          arguments[1] = DEF(58),
          arguments[2] = DEF(59),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* create 60 59 , 13 */
  if ((ch_returncode = che_create(DEF(60),DEF(59),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* move 61 60 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61) = REF(60);
  REF(60).tsdr = & dr_bottom;
  current->ip = 35;
cb75:
/* call 61 11.3 62 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(61),
          arguments[1] = DEF(11)DOT(3),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* noop */
  
/* copy 63 3.1.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = & dr_outport;
/* copy 64 3.1.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).value = ch_val;
  REF(64).tsdr = & dr_outport;
/* chs_lit 65 , "Parse Def" */
  if( !chs_lit(DEF(65),"Parse Def") ) goto ch_depletion;
  current->ip = 37;
cb80:
/* call 7 65 66 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(65),
          arguments[2] = DEF(66),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c81:
/* noop */
  
/* unwrap 67 66 , 16 */
  if ((ch_returncode = che_unwrap(DEF(67),DEF(66),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 68 , 5 */
  if ((ch_val.record = new_record(5)) == nil) goto ch_depletion;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val; REF(68).tsdr = & dr_record;
/* copy 68.0 12.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(12)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(68)DOT(0).tsdr)->finalize)(REF(68)DOT(0).value,F_DISCARD,sched);
  REF(68)DOT(0).value = ch_val;
  REF(68)DOT(0).tsdr = & dr_outport;
/* copy 68.1 12.7 */
  if((ch_returncode = (REF(12)DOT(7).tsdr->copy)(& ch_val, REF(12)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(68)DOT(1).tsdr)->finalize)(REF(68)DOT(1).value,F_DISCARD,sched);
  REF(68)DOT(1).value = ch_val;
  REF(68)DOT(1).tsdr = datarepmap[REF(12)DOT(7).tsdr->number];
/* copy 68.2 12.3 */
  if((ch_returncode = (REF(12)DOT(3).tsdr->copy)(& ch_val, REF(12)DOT(3).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(68)DOT(2).tsdr)->finalize)(REF(68)DOT(2).value,F_DISCARD,sched);
  REF(68)DOT(2).value = ch_val;
  REF(68)DOT(2).tsdr = datarepmap[REF(12)DOT(3).tsdr->number];
/* copy 68.3 12.5 */
  if((ch_returncode = cp_outport(& ch_val, REF(12)DOT(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(68)DOT(3).tsdr)->finalize)(REF(68)DOT(3).value,F_DISCARD,sched);
  REF(68)DOT(3).value = ch_val;
  REF(68)DOT(3).tsdr = & dr_outport;
/* copy 68.4 12.8 */
  if((ch_returncode = cp_outport(& ch_val, REF(12)DOT(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(68)DOT(4).tsdr)->finalize)(REF(68)DOT(4).value,F_DISCARD,sched);
  REF(68)DOT(4).value = ch_val;
  REF(68)DOT(4).tsdr = & dr_outport;
  current->ip = 39;
cb89:
/* call 67 68 69 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(67),
          arguments[1] = DEF(68),
          arguments[2] = DEF(69),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c90:
/* noop */
  
/* copy 70 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val;
  REF(70).tsdr = & dr_table;
/* boolean 71 , FALSE */
  REF(71).value.boolean = FALSE;
  REF(71).tsdr = & dr_boolean;
/* copy 72 70 */
  if((ch_returncode = cp_table(& ch_val, REF(70).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_table;
/* initget 73 72 , 0,0 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(73),DEF(72),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c96:
/* get_or_goto 73 72 , 461 */
  if ((ch_returncode = get_selected_object(DEF(73),DEF(72),sched)) != Normal)
     goto c461;
/* position 74 73 */
  ch_frame = get_selector_frame(DEF(73),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(74).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(74).tsdr = &dr_integer;
/* ilt . 74 =(2) , 96 */
  if ( REF(74).value.integer < 2 ) goto c96;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 75 , "-d" */
  if( !chs_lit(DEF(75),"-d") ) goto ch_depletion;
/* equal 76 73 75 */
  REF(76).value.boolean = (eq_table(REF(73).value,REF(75).value));
  REF(76).tsdr = & dr_boolean;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* branch_false 76 , 109 */
  if ( !REF(76).value.boolean ) goto c109;
/* not 71 71 */
  REF(71).value.boolean = !REF(71).value.boolean;
  REF(71).tsdr = & dr_boolean;
/* exit , 19 */
  ch_e = handler_type__exit; ch_val = QUAL(19); goto ch_exception;
c109:
/* copy 77 73 */
  if((ch_returncode = cp_table(& ch_val, REF(73).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).value = ch_val;
  REF(77).tsdr = & dr_table;
  current->ip = 42;
cb110:
/* call 12.8 78 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(8),
          arguments[1] = DEF(78),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c111:
/* noop */
  
/* new_table 79 , 21 */
  if ((ch_returncode = che_new_table(DEF(79),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 80 77 */
  if((ch_returncode = cp_table(& ch_val, REF(77).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val;
  REF(80).tsdr = & dr_table;
/* privatize 77 */
  if (REF(77).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(77))) != Normal)
       goto ch_raise_exception;
/* initget 81 77 , 0,0 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(81),DEF(77),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c116:
/* get_or_goto 81 77 , 126 */
  if ((ch_returncode = get_selected_object(DEF(81),DEF(77),sched)) != Normal)
     goto c126;
/* position 82 81 */
  ch_frame = get_selector_frame(DEF(81),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(82).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(82).tsdr = &dr_integer;
/* size 83 80 */
  REF(83).value.integer = REF(80).value.table->size;
  REF(83).tsdr = & dr_integer;
/* isubtract 84 83 =(2) */
  if (!chf_isubtract(DEF(84),REF(83).value.integer,2)) goto ch_depletion;
/* ilt . 82 84 , 116 */
  if ( REF(82).value.integer < REF(84).value.integer ) goto c116;
/* remove 85 81 77 */
  if ((ch_returncode = che_remove(DEF(85),DEF(81),DEF(77),sched)) != Normal)
     goto ch_raise_exception;
/* insert 79 85 */
  if ((ch_returncode = insertfunc(DEF(79),DEF(85),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 116 */
   goto c116;
c126:
/* endget 81 77 */
  end_selector(DEF(81),DEF(77),sched,GET);
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* chs_lit 86 , ".d" */
  if( !chs_lit(DEF(86),".d") ) goto ch_depletion;
/* equal 87 79 86 */
  REF(87).value.boolean = (eq_table(REF(79).value,REF(86).value));
  REF(87).tsdr = & dr_boolean;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* branch_false 87 , 134 */
  if ( !REF(87).value.boolean ) goto c134;
/* copy 88 77 */
  if((ch_returncode = cp_table(& ch_val, REF(77).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = & dr_table;
/* branch , 135 */
   goto c135;
c134:
/* copy 88 73 */
  if((ch_returncode = cp_table(& ch_val, REF(73).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = & dr_table;
c135:
/* copy 77 88 */
  if((ch_returncode = cp_table(& ch_val, REF(88).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).value = ch_val;
  REF(77).tsdr = & dr_table;
/* new_table 79 , 21 */
  if ((ch_returncode = che_new_table(DEF(79),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 77 */
  if (REF(77).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(77))) != Normal)
       goto ch_raise_exception;
/* initget 89 77 , 0,0 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(89),DEF(77),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c139:
/* get_or_goto 89 77 , 147 */
  if ((ch_returncode = get_selected_object(DEF(89),DEF(77),sched)) != Normal)
     goto c147;
/* position 90 89 */
  ch_frame = get_selector_frame(DEF(89),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(90).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(90).tsdr = &dr_integer;
/* size 91 78 */
  REF(91).value.integer = REF(78).value.table->size;
  REF(91).tsdr = & dr_integer;
/* igt . 90 91 , 139 */
  if ( REF(90).value.integer > REF(91).value.integer ) goto c139;
/* remove 92 89 77 */
  if ((ch_returncode = che_remove(DEF(92),DEF(89),DEF(77),sched)) != Normal)
     goto ch_raise_exception;
/* insert 79 92 */
  if ((ch_returncode = insertfunc(DEF(79),DEF(92),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 139 */
   goto c139;
c147:
/* endget 89 77 */
  end_selector(DEF(89),DEF(77),sched,GET);
/* chs_lit 93 , "/" */
  if( !chs_lit(DEF(93),"/") ) goto ch_depletion;
/* concat 94 78 93 */
  if ((ch_returncode = che_concat(DEF(94),DEF(78),DEF(93),sched)) != Normal)
     goto ch_raise_exception;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* equal 95 79 94 */
  REF(95).value.boolean = (eq_table(REF(79).value,REF(94).value));
  REF(95).tsdr = & dr_boolean;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* branch_false 95 , 155 */
  if ( !REF(95).value.boolean ) goto c155;
/* copy 88 77 */
  if((ch_returncode = cp_table(& ch_val, REF(77).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = & dr_table;
c155:
/* block , 22 */
  if((ch_returncode = che_block(QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
/* size 96 88 */
  REF(96).value.integer = REF(88).value.table->size;
  REF(96).tsdr = & dr_integer;
/* isubtract 97 96 =(1) */
  if (!chf_isubtract(DEF(97),REF(96).value.integer,1)) goto ch_depletion;
c160:
/* noop */
  
/* ilt . 97 =(0) , 173 */
  if ( REF(97).value.integer < 0 ) goto c173;
/* lookup_at 98 88 97 */
  if((ch_i = REF(97).value.integer) < 0 || ch_i >= (ch_t = REF(88).value
    .table)->size) goto ch_notfound;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(98).value,ch_i);
  REF(98).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 99 98 */
  REF(99) = REF(98);
/* notequal . 99 =(47) , 169 */
  if ( REF(99).value.ord_enum != 47 ) goto c169;
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c169:
/* noop */
  
/* isubtract 97 97 =(1) */
  if (!chf_isubtract(DEF(97),REF(97).value.integer,1)) goto ch_depletion;
/* branch , 160 */
   goto c160;
c173:
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 187 */
   goto c187;
c176:
/* new_table 100 , 21 */
  if ((ch_returncode = che_new_table(DEF(100),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 101 88 , 0,0 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(101),DEF(88),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c178:
/* get_or_goto 101 88 , 185 */
  if ((ch_returncode = get_selected_object(DEF(101),DEF(88),sched)) != Normal)
     goto c185;
/* position 102 101 */
  ch_frame = get_selector_frame(DEF(101),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(102).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(102).tsdr = &dr_integer;
/* ile . 102 97 , 178 */
  if ( REF(102).value.integer <= REF(97).value.integer ) goto c178;
/* copy 103 101 */
  if((ch_returncode = (REF(101).tsdr->copy)(& ch_val, REF(101).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).value = ch_val;
  REF(103).tsdr = datarepmap[REF(101).tsdr->number];
/* insert 100 103 */
  if ((ch_returncode = insertfunc(DEF(100),DEF(103),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 178 */
   goto c178;
c185:
/* endget 101 88 */
  end_selector(DEF(101),DEF(88),sched,GET);
/* move 104 100 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104) = REF(100);
  REF(100).tsdr = & dr_bottom;
c187:
/* chs_lit 105 , ":" */
  if( !chs_lit(DEF(105),":") ) goto ch_depletion;
/* concat 106 104 105 */
  if ((ch_returncode = che_concat(DEF(106),DEF(104),DEF(105)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
  current->ip = 50;
cb190:
/* call 63 106 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(106),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c191:
/* chs_lit 107 , " parse[" */
  if( !chs_lit(DEF(107)," parse[") ) goto ch_depletion;
/* chs_lit 108 , ".d]" */
  if( !chs_lit(DEF(108),".d]") ) goto ch_depletion;
/* concat 109 88 108 */
  if ((ch_returncode = che_concat(DEF(109),DEF(88),DEF(108),sched)) != Normal)
     goto ch_raise_exception;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* concat 110 107 109 */
  if ((ch_returncode = che_concat(DEF(110),DEF(107),DEF(109)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* discard 109 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).tsdr = & dr_bottom;
  current->ip = 52;
cb198:
/* call 63 110 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(110),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c199:
/* noop */
  
/* lookup_at 111 88 =(0) */
  if ( !((ch_t = REF(88).value.table)->size) ) goto ch_notfound;
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(111).value,0);
  REF(111).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 112 111 */
  REF(112) = REF(111);
/* notequal . 112 =(47) , 207 */
  if ( REF(112).value.ord_enum != 47 ) goto c207;
/* copy 113 88 */
  if((ch_returncode = cp_table(& ch_val, REF(88).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).value = ch_val;
  REF(113).tsdr = & dr_table;
/* branch , 215 */
   goto c215;
c207:
  current->ip = 54;
cb207:
/* call 68.4 114 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(68)DOT(4),
          arguments[1] = DEF(114),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c208:
/* chs_lit 115 , "/" */
  if( !chs_lit(DEF(115),"/") ) goto ch_depletion;
/* concat 116 114 115 */
  if ((ch_returncode = che_concat(DEF(116),DEF(114),DEF(115)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 114 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).tsdr = & dr_bottom;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* concat 117 116 88 */
  if ((ch_returncode = che_concat(DEF(117),DEF(116),DEF(88),sched)) != Normal)
     goto ch_raise_exception;
/* discard 116 */
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  REF(116).tsdr = & dr_bottom;
/* move 113 117 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113) = REF(117);
  REF(117).tsdr = & dr_bottom;
c215:
/* chs_lit 118 , ".d" */
  if( !chs_lit(DEF(118),".d") ) goto ch_depletion;
/* concat 119 113 118 */
  if ((ch_returncode = che_concat(DEF(119),DEF(113),DEF(118)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 118 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  REF(118).tsdr = & dr_bottom;
  current->ip = 57;
cb218:
/* call 62 119 120 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(62),
          arguments[1] = DEF(119),
          arguments[2] = DEF(120),
          arguments[2+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c219:
/* move 121 120 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121) = REF(120);
  REF(120).tsdr = & dr_bottom;
/* new_record 122 , 4 */
  if ((ch_val.record = new_record(4)) == nil) goto ch_depletion;
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).value = ch_val; REF(122).tsdr = & dr_record;
/* chs_lit 123 , ".d" */
  if( !chs_lit(DEF(123),".d") ) goto ch_depletion;
/* concat 124 88 123 */
  if ((ch_returncode = che_concat(DEF(124),DEF(88),DEF(123),sched)) != Normal)
     goto ch_raise_exception;
/* discard 123 */
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).tsdr = & dr_bottom;
  current->ip = 59;
cb224:
/* call 69 121 124 125 126 127 122.2 122.3 128 , 26 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(69),
          arguments[1] = DEF(121),
          arguments[2] = DEF(124),
          arguments[3] = DEF(125),
          arguments[4] = DEF(126),
          arguments[5] = DEF(127),
          arguments[6] = DEF(122)DOT(2),
          arguments[7] = DEF(122)DOT(3),
          arguments[8] = DEF(128),
          arguments[8+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c225:
/* size 129 128 */
  REF(129).value.integer = REF(128).value.table->size;
  REF(129).tsdr = & dr_integer;
/* equal . 129 =(0) , 230 */
  if ( REF(129).value.integer == 0 ) goto c230;
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c230:
/* privatize 126 */
  if (REF(126).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(126))) != Normal)
       goto ch_raise_exception;
/* find 130 126 125 , 0 */
  if (findfunc(DEF(130),DEF(126),(
          arguments[0] = DEF(125),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 131 130 126 , 0 */
  if ((ch_returncode = removefunc(DEF(131),DEF(130),DEF(126),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* chs_lit 132 , "predefined" */
  if( !chs_lit(DEF(132),"predefined") ) goto ch_depletion;
/* equal 133 104 132 */
  REF(133).value.boolean = (eq_table(REF(104).value,REF(132).value));
  REF(133).tsdr = & dr_boolean;
/* discard 132 */
  (*(REF(132).tsdr)->finalize)(REF(132).value,F_DISCARD,sched);
  REF(132).tsdr = & dr_bottom;
/* branch_false 133 , 271 */
  if ( !REF(133).value.boolean ) goto c271;
/* find 134 127 125 , 0 */
  if (findfunc(DEF(134),DEF(127),(
          arguments[0] = DEF(125),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* new_record 135 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).value = ch_val; REF(135).tsdr = & dr_record;
/* copy 135.0 125 */
  if((ch_returncode = (REF(125).tsdr->copy)(& ch_val, REF(125).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(135)DOT(0).tsdr)->finalize)(REF(135)DOT(0).value,F_DISCARD,sched);
  REF(135)DOT(0).value = ch_val;
  REF(135)DOT(0).tsdr = datarepmap[REF(125).tsdr->number];
/* new_record 136 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).value = ch_val; REF(136).tsdr = & dr_record;
/* copy 136.0 125 */
  if((ch_returncode = (REF(125).tsdr->copy)(& ch_val, REF(125).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(136)DOT(0).tsdr)->finalize)(REF(136)DOT(0).value,F_DISCARD,sched);
  REF(136)DOT(0).value = ch_val;
  REF(136)DOT(0).tsdr = datarepmap[REF(125).tsdr->number];
/* block , 28 */
  if((ch_returncode = che_block(QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 137 , "definitions_module" */
  if( !chs_lit(DEF(137),"definitions_module") ) goto ch_depletion;
/* find 138 134.2 137 , 1 */
  if (findfunc(DEF(138),DEF(134)DOT(2),(
          arguments[0] = DEF(137),& arguments[0]),sched,1) == FAILURE)
             goto ch_notfound;
/* copy 135.1 138.0 */
  if((ch_returncode = (REF(138)DOT(0).tsdr->copy)(& ch_val, 
    REF(138)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(135)DOT(1).tsdr)->finalize)(REF(135)DOT(1).value,F_DISCARD,sched);
  REF(135)DOT(1).value = ch_val;
  REF(135)DOT(1).tsdr = datarepmap[REF(138)DOT(0).tsdr->number];
/* chs_lit 139 , "program" */
  if( !chs_lit(DEF(139),"program") ) goto ch_depletion;
/* find 140 134.2 139 , 1 */
  if (findfunc(DEF(140),DEF(134)DOT(2),(
          arguments[0] = DEF(139),& arguments[0]),sched,1) == FAILURE)
             goto ch_notfound;
/* copy 136.1 140.0 */
  if((ch_returncode = (REF(140)DOT(0).tsdr->copy)(& ch_val, 
    REF(140)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(136)DOT(1).tsdr)->finalize)(REF(136)DOT(1).value,F_DISCARD,sched);
  REF(136)DOT(1).value = ch_val;
  REF(136)DOT(1).tsdr = datarepmap[REF(140)DOT(0).tsdr->number];
/* endblock */
  che_endblock(sched);
/* branch , 275 */
   goto c275;
c251:
/* discard 135.1 */
  (*(REF(135)DOT(1).tsdr)->finalize)(REF(135)DOT(1).value,F_DISCARD,sched);
  REF(135)DOT(1).tsdr = & dr_bottom;
/* new_table 128 , 29 */
  if ((ch_returncode = che_new_table(DEF(128),QUAL(29),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 141 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(141).tsdr)->finalize)(REF(141).value,F_DISCARD,sched);
  REF(141).value = ch_val; REF(141).tsdr = & dr_record;
/* ordenum_lit 141.1 , 0 */
  REF(141)DOT(1).value.ord_enum = 0;
  REF(141)DOT(1).tsdr = & dr_ord_enumeration;
/* new_record 142 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  REF(142).value = ch_val; REF(142).tsdr = & dr_record;
/* unique 142.0 */
  if ((ch_returncode = che_unique(DEF(142)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unique 142.1 */
  if ((ch_returncode = che_unique(DEF(142)DOT(1),sched)) != Normal)
     goto ch_raise_exception;
/* unite 141.0 142 , 0 */
  if ((ch_returncode = che_unite(DEF(141)DOT(0),DEF(142),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 141.2 , 29 */
  if ((ch_returncode = che_new_table(DEF(141)DOT(2),QUAL(29)
    ,sched)) != Normal)  goto ch_raise_exception;
/* chs_lit 143 , "definitions module 'predefined' without type definitions for 'program' and 'definitions_module'" */
  if( !chs_lit(DEF(143),
    "definitions module 'predefined' without type definitions for 'program' and 'definitions_module'"
    ) ) goto ch_depletion;
/* unite 144 143 , 3 */
  if ((ch_returncode = che_unite(DEF(144),DEF(143),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 141.2 144 */
  if ((ch_returncode = insertfunc(DEF(141)DOT(2),DEF(144),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 128 141 */
  if ((ch_returncode = insertfunc(DEF(128),DEF(141),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c271:
/* typename 135 , 30 */
  if ((ch_returncode = che_typename(DEF(135),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* typename 136 , 31 */
  if ((ch_returncode = che_typename(DEF(136),QUAL(31),sched)) != Normal) 
     goto ch_raise_exception;
c275:
/* chs_lit 145 , " fixabbrevs" */
  if( !chs_lit(DEF(145)," fixabbrevs") ) goto ch_depletion;
  current->ip = 64;
cb276:
/* call 63 145 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(145),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c277:
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
  current->ip = 66;
cb278:
/* call 46 12 131 126 128 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(46),
          arguments[1] = DEF(12),
          arguments[2] = DEF(131),
          arguments[3] = DEF(126),
          arguments[4] = DEF(128),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c279:
/* size 146 128 */
  REF(146).value.integer = REF(128).value.table->size;
  REF(146).tsdr = & dr_integer;
/* equal . 146 =(0) , 284 */
  if ( REF(146).value.integer == 0 ) goto c284;
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c284:
/* branch_false 71 , 286 */
  if ( !REF(71).value.boolean ) goto c286;
/* print 131 */
  re_print(stderr, 0, DEF(131)); fflush(stderr);
c286:
/* chs_lit 147 , " checkdefs" */
  if( !chs_lit(DEF(147)," checkdefs") ) goto ch_depletion;
  current->ip = 68;
cb287:
/* call 63 147 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(147),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c288:
/* new_record 148 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).value = ch_val; REF(148).tsdr = & dr_record;
/* copy 148.0 135 */
  if((ch_returncode = cp_record(& ch_val, REF(135).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(148)DOT(0).tsdr)->finalize)(REF(148)DOT(0).value,F_DISCARD,sched);
  REF(148)DOT(0).value = ch_val;
  REF(148)DOT(0).tsdr = & dr_record;
/* copy 148.1 136 */
  if((ch_returncode = cp_record(& ch_val, REF(136).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(148)DOT(1).tsdr)->finalize)(REF(148)DOT(1).value,F_DISCARD,sched);
  REF(148)DOT(1).value = ch_val;
  REF(148)DOT(1).tsdr = & dr_record;
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
  current->ip = 70;
cb292:
/* call 54 12 131 126 148 128 , 33 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(12),
          arguments[2] = DEF(131),
          arguments[3] = DEF(126),
          arguments[4] = DEF(148),
          arguments[5] = DEF(128),
          arguments[5+1] = nil,& arguments[0]),QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c293:
/* size 149 128 */
  REF(149).value.integer = REF(128).value.table->size;
  REF(149).tsdr = & dr_integer;
/* equal . 149 =(0) , 298 */
  if ( REF(149).value.integer == 0 ) goto c298;
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c298:
/* chs_lit 150 , " shorten" */
  if( !chs_lit(DEF(150)," shorten") ) goto ch_depletion;
  current->ip = 72;
cb299:
/* call 63 150 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(150),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c300:
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
  current->ip = 74;
cb301:
/* call 50 12 131 126 128 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(50),
          arguments[1] = DEF(12),
          arguments[2] = DEF(131),
          arguments[3] = DEF(126),
          arguments[4] = DEF(128),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c302:
/* size 151 128 */
  REF(151).value.integer = REF(128).value.table->size;
  REF(151).tsdr = & dr_integer;
/* equal . 151 =(0) , 307 */
  if ( REF(151).value.integer == 0 ) goto c307;
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c307:
/* move 122.0 131 */
  (*(REF(122)DOT(0).tsdr)->finalize)(REF(122)DOT(0).value,F_DISCARD,sched);
  REF(122)DOT(0) = REF(131);
  REF(131).tsdr = & dr_bottom;
/* find 152 127 125 , 0 */
  if (findfunc(DEF(152),DEF(127),(
          arguments[0] = DEF(125),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 122.1 152 */
  if((ch_returncode = (REF(152).tsdr->copy)(& ch_val, REF(152).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(122)DOT(1).tsdr)->finalize)(REF(122)DOT(1).value,F_DISCARD,sched);
  REF(122)DOT(1).value = ch_val;
  REF(122)DOT(1).tsdr = datarepmap[REF(152).tsdr->number];
/* chs_lit 153 , " store[" */
  if( !chs_lit(DEF(153)," store[") ) goto ch_depletion;
/* chs_lit 154 , ".do]" */
  if( !chs_lit(DEF(154),".do]") ) goto ch_depletion;
/* concat 155 104 154 */
  if ((ch_returncode = che_concat(DEF(155),DEF(104),DEF(154)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 154 */
  (*(REF(154).tsdr)->finalize)(REF(154).value,F_DISCARD,sched);
  REF(154).tsdr = & dr_bottom;
/* concat 156 153 155 */
  if ((ch_returncode = che_concat(DEF(156),DEF(153),DEF(155)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 153 */
  (*(REF(153).tsdr)->finalize)(REF(153).value,F_DISCARD,sched);
  REF(153).tsdr = & dr_bottom;
/* discard 155 */
  (*(REF(155).tsdr)->finalize)(REF(155).value,F_DISCARD,sched);
  REF(155).tsdr = & dr_bottom;
  current->ip = 76;
cb318:
/* call 63 156 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(156),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c319:
/* wrap 157 122 , 34 */
  if ((ch_returncode = che_wrap(DEF(157),DEF(122),QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
/* block , 35 */
  if((ch_returncode = che_block(QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 158 , ".do" */
  if( !chs_lit(DEF(158),".do") ) goto ch_depletion;
/* concat 159 104 158 */
  if ((ch_returncode = che_concat(DEF(159),DEF(104),DEF(158)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 158 */
  (*(REF(158).tsdr)->finalize)(REF(158).value,F_DISCARD,sched);
  REF(158).tsdr = & dr_bottom;
  current->ip = 78;
cb324:
/* call 12.5 159 157 , 36 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(5),
          arguments[1] = DEF(159),
          arguments[2] = DEF(157),
          arguments[2+1] = nil,& arguments[0]),QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
  return;
c325:
/* endblock */
  che_endblock(sched);
/* branch , 344 */
   goto c344;
c327:
/* discard 158 */
  (*(REF(158).tsdr)->finalize)(REF(158).value,F_DISCARD,sched);
  REF(158).tsdr = & dr_bottom;
/* discard 159 */
  (*(REF(159).tsdr)->finalize)(REF(159).value,F_DISCARD,sched);
  REF(159).tsdr = & dr_bottom;
/* chs_lit 160 , "ERRORS" */
  if( !chs_lit(DEF(160),"ERRORS") ) goto ch_depletion;
  current->ip = 81;
cb330:
/* call 64 160 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(160),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c331:
/* chs_lit 161 , "Unable to write object file '" */
  if( !chs_lit(DEF(161),"Unable to write object file '") ) goto ch_depletion;
/* chs_lit 162 , ".do" */
  if( !chs_lit(DEF(162),".do") ) goto ch_depletion;
/* concat 163 104 162 */
  if ((ch_returncode = che_concat(DEF(163),DEF(104),DEF(162)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 162 */
  (*(REF(162).tsdr)->finalize)(REF(162).value,F_DISCARD,sched);
  REF(162).tsdr = & dr_bottom;
/* concat 164 161 163 */
  if ((ch_returncode = che_concat(DEF(164),DEF(161),DEF(163)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 161 */
  (*(REF(161).tsdr)->finalize)(REF(161).value,F_DISCARD,sched);
  REF(161).tsdr = & dr_bottom;
/* discard 163 */
  (*(REF(163).tsdr)->finalize)(REF(163).value,F_DISCARD,sched);
  REF(163).tsdr = & dr_bottom;
/* chs_lit 165 , "'" */
  if( !chs_lit(DEF(165),"'") ) goto ch_depletion;
/* concat 166 164 165 */
  if ((ch_returncode = che_concat(DEF(166),DEF(164),DEF(165)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 164 */
  (*(REF(164).tsdr)->finalize)(REF(164).value,F_DISCARD,sched);
  REF(164).tsdr = & dr_bottom;
/* discard 165 */
  (*(REF(165).tsdr)->finalize)(REF(165).value,F_DISCARD,sched);
  REF(165).tsdr = & dr_bottom;
  current->ip = 83;
cb342:
/* call 64 166 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(166),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c343:
/* exit , 19 */
  ch_e = handler_type__exit; ch_val = QUAL(19); goto ch_exception;
c344:
/* chs_lit 167 , "" */
  if( !chs_lit(DEF(167),"") ) goto ch_depletion;
  current->ip = 86;
cb345:
/* call 64 167 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(167),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c346:
/* endblock */
  che_endblock(sched);
/* branch , 427 */
   goto c427;
c348:
/* chs_lit 168 , " ERRORS" */
  if( !chs_lit(DEF(168)," ERRORS") ) goto ch_depletion;
  current->ip = 89;
cb349:
/* call 64 168 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(168),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c350:
/* chs_lit 169 , "Unable to read source file '" */
  if( !chs_lit(DEF(169),"Unable to read source file '") ) goto ch_depletion;
/* concat 170 169 88 */
  if ((ch_returncode = che_concat(DEF(170),DEF(169),DEF(88),sched)) != Normal)
     goto ch_raise_exception;
/* discard 169 */
  (*(REF(169).tsdr)->finalize)(REF(169).value,F_DISCARD,sched);
  REF(169).tsdr = & dr_bottom;
/* chs_lit 171 , ".d'" */
  if( !chs_lit(DEF(171),".d'") ) goto ch_depletion;
/* concat 172 170 171 */
  if ((ch_returncode = che_concat(DEF(172),DEF(170),DEF(171)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 170 */
  (*(REF(170).tsdr)->finalize)(REF(170).value,F_DISCARD,sched);
  REF(170).tsdr = & dr_bottom;
/* discard 171 */
  (*(REF(171).tsdr)->finalize)(REF(171).value,F_DISCARD,sched);
  REF(171).tsdr = & dr_bottom;
  current->ip = 91;
cb357:
/* call 64 172 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(172),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c359:
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 157 */
  (*(REF(157).tsdr)->finalize)(REF(157).value,F_DISCARD,sched);
  REF(157).tsdr = & dr_bottom;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* discard 126 */
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).tsdr = & dr_bottom;
/* discard 127 */
  (*(REF(127).tsdr)->finalize)(REF(127).value,F_DISCARD,sched);
  REF(127).tsdr = & dr_bottom;
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
/* discard 119 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  REF(119).tsdr = & dr_bottom;
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 147 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).tsdr = & dr_bottom;
/* discard 148 */
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).tsdr = & dr_bottom;
/* discard 150 */
  (*(REF(150).tsdr)->finalize)(REF(150).value,F_DISCARD,sched);
  REF(150).tsdr = & dr_bottom;
/* discard 156 */
  (*(REF(156).tsdr)->finalize)(REF(156).value,F_DISCARD,sched);
  REF(156).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 160 */
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  REF(160).tsdr = & dr_bottom;
/* discard 166 */
  (*(REF(166).tsdr)->finalize)(REF(166).value,F_DISCARD,sched);
  REF(166).tsdr = & dr_bottom;
/* branch , 427 */
   goto c427;
c385:
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
/* discard 131 */
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 147 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).tsdr = & dr_bottom;
/* discard 148 */
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).tsdr = & dr_bottom;
/* discard 150 */
  (*(REF(150).tsdr)->finalize)(REF(150).value,F_DISCARD,sched);
  REF(150).tsdr = & dr_bottom;
/* chs_lit 173 , " ERRORS" */
  if( !chs_lit(DEF(173)," ERRORS") ) goto ch_depletion;
  current->ip = 95;
cb393:
/* call 64 173 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(173),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c394:
/* notequal . 57 56 , 401 */
  if ( !eq_outport(REF(57).value,REF(56).value) ) goto c401;
/* chs_lit 174 , "formaterror" */
  if( !chs_lit(DEF(174),"formaterror") ) goto ch_depletion;
  current->ip = 97;
cb397:
/* call 12.1 174 175 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12)DOT(1),
          arguments[1] = DEF(174),
          arguments[2] = DEF(175),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c398:
/* procedure 176 175 , 37 */
  if ((ch_returncode = che_procedure(DEF(176),DEF(175),QUAL(37)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 175 */
  (*(REF(175).tsdr)->finalize)(REF(175).value,F_DISCARD,sched);
  REF(175).tsdr = & dr_bottom;
/* move 57 176 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57) = REF(176);
  REF(176).tsdr = & dr_bottom;
c401:
/* discard 174 */
  (*(REF(174).tsdr)->finalize)(REF(174).value,F_DISCARD,sched);
  REF(174).tsdr = & dr_bottom;
/* new_table 177 , 38 */
  if ((ch_returncode = che_new_table(DEF(177),QUAL(38),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 178 , 38 */
  if ((ch_returncode = che_new_table(DEF(178),QUAL(38),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 179 , 4 */
  if ((ch_val.record = new_record(4)) == nil) goto ch_depletion;
  (*(REF(179).tsdr)->finalize)(REF(179).value,F_DISCARD,sched);
  REF(179).value = ch_val; REF(179).tsdr = & dr_record;
/* unique 180 */
  if ((ch_returncode = che_unique(DEF(180),sched)) != Normal)
     goto ch_raise_exception;
/* unite 179.0 180 , 0 */
  if ((ch_returncode = che_unite(DEF(179)DOT(0),DEF(180),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 179.1 , 21 */
  if ((ch_returncode = che_new_table(DEF(179)DOT(1),QUAL(21)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 179.2 , 39 */
  if ((ch_returncode = che_new_table(DEF(179)DOT(2),QUAL(39)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 179.3 , 40 */
  if ((ch_returncode = che_new_table(DEF(179)DOT(3),QUAL(40)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 181 , 38 */
  if ((ch_returncode = che_new_table(DEF(181),QUAL(38),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 182 128 */
  if((ch_returncode = cp_table(& ch_val, REF(128).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(182).tsdr)->finalize)(REF(182).value,F_DISCARD,sched);
  REF(182).value = ch_val;
  REF(182).tsdr = & dr_table;
/* initget 183 182 , 0,0 */
  (*(REF(183).tsdr)->finalize)(REF(183).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(183),DEF(182),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c424:
c413:
/* get_or_goto 183 182 , 425 */
  if ((ch_returncode = get_selected_object(DEF(183),DEF(182)
    ,sched)) != Normal) goto c425;
/* discard 184 */
  (*(REF(184).tsdr)->finalize)(REF(184).value,F_DISCARD,sched);
  REF(184).tsdr = & dr_bottom;
/* discard 185 */
  (*(REF(185).tsdr)->finalize)(REF(185).value,F_DISCARD,sched);
  REF(185).tsdr = & dr_bottom;
  current->ip = 101;
cb416:
/* call 57 183 177 178 126 127 179 181 12.1 184 , 41 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(57),
          arguments[1] = DEF(183),
          arguments[2] = DEF(177),
          arguments[3] = DEF(178),
          arguments[4] = DEF(126),
          arguments[5] = DEF(127),
          arguments[6] = DEF(179),
          arguments[7] = DEF(181),
          arguments[8] = DEF(12)DOT(1),
          arguments[9] = DEF(184),
          arguments[9+1] = nil,& arguments[0]),QUAL(41),sched)) != Normal)
     goto ch_raise_exception;
  return;
c417:
/* noop */
  
/* chs_lit 186 , ": " */
  if( !chs_lit(DEF(186),": ") ) goto ch_depletion;
/* concat 187 186 184 */
  if ((ch_returncode = che_concat(DEF(187),DEF(186),DEF(184)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 186 */
  (*(REF(186).tsdr)->finalize)(REF(186).value,F_DISCARD,sched);
  REF(186).tsdr = & dr_bottom;
/* concat 185 88 187 */
  if ((ch_returncode = che_concat(DEF(185),DEF(88),DEF(187),sched)) != Normal)
     goto ch_raise_exception;
/* discard 187 */
  (*(REF(187).tsdr)->finalize)(REF(187).value,F_DISCARD,sched);
  REF(187).tsdr = & dr_bottom;
  current->ip = 103;
cb423:
/* call 64 185 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(185),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c425:
/* endget 183 182 */
  end_selector(DEF(183),DEF(182),sched,GET);
/* discard 182 */
  (*(REF(182).tsdr)->finalize)(REF(182).value,F_DISCARD,sched);
  REF(182).tsdr = & dr_bottom;
c358:
c427:
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 122 */
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).tsdr = & dr_bottom;
/* discard 157 */
  (*(REF(157).tsdr)->finalize)(REF(157).value,F_DISCARD,sched);
  REF(157).tsdr = & dr_bottom;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* discard 126 */
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).tsdr = & dr_bottom;
/* discard 127 */
  (*(REF(127).tsdr)->finalize)(REF(127).value,F_DISCARD,sched);
  REF(127).tsdr = & dr_bottom;
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
/* discard 119 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  REF(119).tsdr = & dr_bottom;
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 147 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).tsdr = & dr_bottom;
/* discard 148 */
  (*(REF(148).tsdr)->finalize)(REF(148).value,F_DISCARD,sched);
  REF(148).tsdr = & dr_bottom;
/* discard 150 */
  (*(REF(150).tsdr)->finalize)(REF(150).value,F_DISCARD,sched);
  REF(150).tsdr = & dr_bottom;
/* discard 156 */
  (*(REF(156).tsdr)->finalize)(REF(156).value,F_DISCARD,sched);
  REF(156).tsdr = & dr_bottom;
/* discard 167 */
  (*(REF(167).tsdr)->finalize)(REF(167).value,F_DISCARD,sched);
  REF(167).tsdr = & dr_bottom;
/* discard 168 */
  (*(REF(168).tsdr)->finalize)(REF(168).value,F_DISCARD,sched);
  REF(168).tsdr = & dr_bottom;
/* discard 172 */
  (*(REF(172).tsdr)->finalize)(REF(172).value,F_DISCARD,sched);
  REF(172).tsdr = & dr_bottom;
/* discard 173 */
  (*(REF(173).tsdr)->finalize)(REF(173).value,F_DISCARD,sched);
  REF(173).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 159 */
  (*(REF(159).tsdr)->finalize)(REF(159).value,F_DISCARD,sched);
  REF(159).tsdr = & dr_bottom;
/* discard 177 */
  (*(REF(177).tsdr)->finalize)(REF(177).value,F_DISCARD,sched);
  REF(177).tsdr = & dr_bottom;
/* discard 178 */
  (*(REF(178).tsdr)->finalize)(REF(178).value,F_DISCARD,sched);
  REF(178).tsdr = & dr_bottom;
/* discard 179 */
  (*(REF(179).tsdr)->finalize)(REF(179).value,F_DISCARD,sched);
  REF(179).tsdr = & dr_bottom;
/* discard 181 */
  (*(REF(181).tsdr)->finalize)(REF(181).value,F_DISCARD,sched);
  REF(181).tsdr = & dr_bottom;
/* branch , 96 */
   goto c96;
c461:
/* endget 73 72 */
  end_selector(DEF(73),DEF(72),sched,GET);
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c466:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
